/** Projet Leterrier-QCM
  *
  * @see https://redmine.ryxeo.com/projects/leterrier-qcm
  * @author 2013 Philippe Cadaugade <philippe.cadaugade@ryxeo.com>
  * @see The GNU Public License (GPL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
  * for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program. If not, see <http://www.gnu.org/licenses/>.
  */


#include <QtGui/QApplication>
#include <QTranslator>
#include <QLocale>
#include <QDebug>

#include "version.h"
#include "leterriermainwindow.h"
#include "abuleduapplicationv1.h"
#include "abuledusplashscreenv1.h"

int main(int argc, char *argv[])
{
    AbulEduApplicationV1 a(argc, argv,VER_INTERNALNAME_STR, VER_PRODUCTVERSION_STR, VER_COMPANYDOMAIN_STR, "leterrier");
    a.setAbeApplicationLongName(QObject::trUtf8(VER_FILEDESCRIPTION_STR));
    LeTerrierMainWindow *w;
    
    
    // ================== splashscreen
            AbulEduSplashScreenV1 *splash = new AbulEduSplashScreenV1(0,true);
            splash->show();
            w = new LeTerrierMainWindow();
            splash->setMainWindow(w);
            //pour les developpeurs presses, remplacer le 1000 par 100
            splash->launch(1000);
            // ================== splashscreen end
            
            return a.exec();
}

