QT += core network xml script

INCLUDEPATH += $$PWD
DEPENDPATH += $$PWD

HEADERS += $$PWD/activityfilter.h

SOURCES += $$PWD/activityfilter.cpp

RESOURCES += $$PWD/abuleduapplicationv1.qrc

#quand on compile le plugin de qt creator il ne faut pas avoir une applicationv1 reelle mais juste un fake
pluginQtcreator {
  INCLUDEPATH += $$PWD/plugin-qtcreator
  DEPENDPATH += $$PWD/plugin-qtcreator

  SOURCES += $$PWD/plugin-qtcreator/abuleduapplicationv1.cpp
  HEADERS += $$PWD/plugin-qtcreator/abuleduapplicationv1.h
}
!pluginQtcreator {
  INCLUDEPATH += $$PWD/normal
  DEPENDPATH += $$PWD/normal

  SOURCES += $$PWD/normal/abuleduapplicationv1.cpp
  HEADERS += $$PWD/normal/abuleduapplicationv1.h
}

#a activer ou pas si on souhaite compiler pour tablette
tablette {
    DEFINES += __ABULEDUTABLETTEV1__MODE__=1
}

#2013: pratique d'avoir le clavier virtuel sur le TBI ... ce n'est donc plus une specif tablette
include($$PWD/../abuleduvirtualkeyboardv1/abuleduvirtualkeyboardv1.pri)

include($$PWD/qtsingleapplication/src/qtsingleapplication.pri)

!exists($$PWD/../abuleduconstantesv1/abuleduconstantesv1.h ) {
  error("la lib abuleduapplicationv1 dépend de abuleduconstantesv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduConstantesV1")
}

!exists($$PWD/../abuledunetworkaccessmanagerv1/abuledunetworkaccessmanagerv1.h ) {
  error("la lib abuleduapplicationv1 dépend de abuledunetworkaccessmanagerv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduNetworkAccessManagerV1")
}

!exists($$PWD/../abuledumessageboxv1/abuledumessageboxv1.h ) {
  error("la lib abuleduapplicationv1 dépend de abuledumessageboxv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduMessageBoxV1")
}

!exists($$PWD/../abuleduidentitesv1/abuleduidentitesv1.h ) {
  error("la lib abuleduapplicationv1 dépend de abuleduidentitesv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduIdentitesV1")
}

!exists($$PWD/../../localdebug.pri) {
  include($$PWD/debug.pri)
}
exists($$PWD/../../localdebug.pri) {
  include($$PWD/../../localdebug.pri)
}
